Subject: Re: [PATCH v1 1/2] net: emac: fix reset timeout with AR8035 phy

From: Andrew Lunn <[email-masked]>
Date: Mon, 5 Jun 2017 23:26:17 +0200

> In order to stay compatible with existing configurations, the
> driver will try the normal reset first and only falls back to
> to the internal clock, after the first reset fails. If the
> second reset fails as well, it will give up as before.

Hi Christian

This gets things probed correctly. But should you swap back to the PHY
clock when the PHY declares the link up? Is there code already to do
this?

	Andrew